# measprocess package

## Submodules

## measprocess.geospatial module


### measprocess.geospatial.get_geoseries_blockages(measurement_coords, retries=5)
Obtain the blockage shapes in the area spanned by the measurement_coords.


* **Parameters**

    **measurement_coords** – A geopandas geoseries of Points(lon, lat) representing the measurement positions in a EPSG:4326 projection



* **Returns**

    A geopandas geoseries consiting of Polygons representing the blockages in EPSG:4326



### measprocess.geospatial.get_geoseries_streets(measurement_coords, retries=5)
Obtain the street shapes in the area spanned by the measurement_coords.


* **Parameters**

    **measurement_coords** – A geopandas geoseries of Points(lon, lat) representing the measurement positions in a EPSG:4326 projection



* **Returns**

    A geopandas geoseries consiting of LineStrings representing the streets in EPSG:4326



### measprocess.geospatial.make_overpy_request(request_body, retries)

### measprocess.geospatial.project_onto_streets(point_series, street_series, epsg='EPSG:31287', plot=False)
Todo: Muss noch angepasst werden!

## measprocess.plotting module

## measprocess.preprocess module


### measprocess.preprocess.link_dataframes(A: pandas.core.frame.DataFrame, B: pandas.core.frame.DataFrame, ref_col: str, metric=None, verbose=True) -> (<class 'pandas.core.frame.DataFrame'>, <class 'numpy.ndarray'>)
Merge two DataFrames A and B according to the reference colum based on minimum metric.
Note that the final dataframe will include duplicate entries from B, while entries from A will be unique


* **Parameters**

    
    * **ref_col** – Reference Column to merge dataframes. Has to exist in both frames


    * **metric** – Metric used to determine matches in ref_col. Default lambda a, b: (a - b).abs()



* **Returns**

    Tuple of Merged DataFrame with Multindex and Deviation


## Module contents
