import pathlib
from setuptools import setup

# The directory containing this file
HERE = pathlib.Path(__file__).parent

# The text of the README file
README = (HERE / "README.md").read_text()

# This call to setup() does all the work
setup(
    name="measprocess",
    version="0.5.12",
    description="Collection of measurement processing tools",
    long_description=README,
    long_description_content_type="text/markdown",
    url="https://squid.nt.tuwien.ac.at/gitlab/leller/measprocess",
    author="MBB Group TU Wien",
    author_email="lukas.eller@tuwien.ac.at",
    license="MIT",
    classifiers=[
        "Programming Language :: Python :: 3.7",
    ],
    packages=["measprocess"],
    include_package_data=True,
    install_requires=["pandas", "matplotlib", "geopandas", "overpy", "shapely", "numpy", "tqdm", "cartopy"],
)
